## TrackerFileNotifier TrackerFileNotifier |

## Functions

TrackerFileNotifier * | tracker_file_notifier_new ()
gboolean | tracker_file_notifier_start ()
void | tracker_file_notifier_stop ()
gboolean | tracker_file_notifier_is_active ()
const gchar * | tracker_file_notifier_get_file_iri ()
void | tracker_file_notifier_invalidate_file_iri ()
GFileType | tracker_file_notifier_get_file_type ()

## Description

## Functions

### tracker_file_notifier_new ()

    TrackerFileNotifier *
    tracker_file_notifier_new (TrackerIndexingTree *indexing_tree,
                               TrackerDataProvider *data_provider,
                               TrackerSparqlConnection *connection);

### tracker_file_notifier_start ()

    gboolean
    tracker_file_notifier_start (TrackerFileNotifier *notifier);

### tracker_file_notifier_stop ()

    void
    tracker_file_notifier_stop (TrackerFileNotifier *notifier);

### tracker_file_notifier_is_active ()

    gboolean
    tracker_file_notifier_is_active (TrackerFileNotifier *notifier);

### tracker_file_notifier_get_file_iri ()

    const gchar *
    tracker_file_notifier_get_file_iri (TrackerFileNotifier *notifier,
                                        GFile *file,
                                        gboolean force);

### tracker_file_notifier_invalidate_file_iri ()

    void
    tracker_file_notifier_invalidate_file_iri
                                   (TrackerFileNotifier *notifier,
                                    GFile *file,
                                    gboolean recursive);

### tracker_file_notifier_get_file_type ()

    GFileType
    tracker_file_notifier_get_file_type (TrackerFileNotifier *notifier,
                                         GFile *file);

## Types and Values